SCSI_DEVICE_LOOKUP_B(9)

NAME
scsi_device_lookup_by_target - find a device given the target

SYNOPSIS

struct scsi_device * scsi_device_lookup_by_target(struct scsi_target * starget, u64 lun);

ARGUMENTS

starget
    SCSI target pointer

lun
    SCSI Logical Unit Number

DESCRIPTION

Looks up the scsi_device with the specified lun for a given starget. The returned scsi_device has an additional reference that needs to be released with scsi_device_put once you're done with it.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT